SQLite3::query
SQLite3::version
SQLite3
PHP Manual

# SQLite3::querySingle

(PHP 5 >= 5.3.0)

SQLite3::querySingle — Executes a query and returns a single result

### Description

public mixed SQLite3::querySingle ( string `$query` [, bool `$entire_row` = false ] )

Executes a query and returns a single result.

### Parameters

`query`

  The SQL query to execute.

`entire_row`

  By default, querySingle() returns the value of the first column returned by the query. If `entire_row` is `TRUE`, then it returns an array of the entire first row.

### Return Values

Returns the value of the first column of results or an array of the entire first row (if `entire_row` is `TRUE`).

If the query is valid but no results are returned, then `NULL` will be returned if `entire_row` is `FALSE`, otherwise an empty array is returned.

Invalid or failing queries will return `FALSE`.

### Examples

Example #1 SQLite3::querySingle() example

`<?php
$db = new SQLite3('mysqlitedb.db');
var_dump($db->querySingle('SELECT username FROM user WHERE userid=1'));
print_r($db->querySingle('SELECT username, email FROM user WHERE userid=1', true));
?>`

The above example will output something similar to:

    string(5) "Scott"
    Array
    (
        [username] => Scott
        [email] => scott@example.com
    )

SQLite3::query
SQLite3::version
SQLite3
PHP Manual